%define major 		0
%define api		1.0
%define libname		%mklibname unique %api %major
%define girname		%mklibname unique-gir %api
%define develname	%mklibname unique -d

Summary: 	Library for creating single instance applications
Name: 		libunique
Version: 	1.1.6
Release:	%mkrel 21
License: 	LGPLv2+
Group: 		System/Libraries
URL: 		https://wiki.gnome.org/LibUnique
Source0: 	https://download.gnome.org/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		unique-1.0.6-fix-str-fmt.patch
Patch1:		fix-disable-deprecated.patch
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.11.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc

%description
Unique is a library for creating single instance applications.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for creating single instance applications
Obsoletes:	%{_lib}unique0 < 1.1.6-6

%description -n %{libname}
Unique is a library for creating single instance applications.

%package -n	%{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface description for libunique

%description -n %{girname}
GObject Introspection interface description for libunique.

%package -n %{develname}
Group:		Development/C
Summary:	Header files for development with %name
Provides:	unique-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Conflicts:	gir-repository < 0.6.5-3

%description -n %{develname}
Unique is a library for creating single instance applications.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-gtk-doc \
	--disable-static \
	--enable-introspection=yes \
	--enable-maintainer-flags=no
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libunique-%api.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Unique-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/unique
%{_libdir}/libunique-%api.so
%{_libdir}/pkgconfig/unique-%api.pc
%{_datadir}/gir-1.0/Unique-%api.gir
%{_includedir}/unique-%api


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.1.6-21.mga10
+ Revision: 2127819
- Rebuild for patchN deprecation

* Tue Mar 29 2022 umeabot <umeabot> 1.1.6-20.mga9
+ Revision: 1831781
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1.6-19.mga8
+ Revision: 1514703
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.6-18.mga7
+ Revision: 1299196
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.1.6-17.mga7
+ Revision: 1234062
- fix build on aarch64

* Sun Feb 11 2018 daviddavid <daviddavid> 1.1.6-16.mga7
+ Revision: 1200325
- disable gtk-doc

* Thu Feb 11 2016 umeabot <umeabot> 1.1.6-15.mga6
+ Revision: 955704
- Mageia 6 Mass Rebuild

* Wed Feb 10 2016 umeabot <umeabot> 1.1.6-14.mga6
+ Revision: 953037
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 1.1.6-13.mga6
+ Revision: 847725
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-12.mga5
+ Revision: 741217
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.1.6-11.mga5
+ Revision: 724931
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-10.mga5
+ Revision: 681826
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 1.1.6-9.mga4
+ Revision: 550184
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 1.1.6-8.mga4
+ Revision: 507404
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-7.mga3
+ Revision: 358292
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 fwang <fwang> 1.1.6-6.mga2
+ Revision: 135929
- do not disable deprecated symbols
- fix file list
- correct libname

* Fri Jun 10 2011 dmorgan <dmorgan> 1.1.6-5.mga2
+ Revision: 103216
- Remove la files
  Sync configure with fedora

* Sat Jan 15 2011 blino <blino> 1.1.6-4.mga1
+ Revision: 19018
- remove old ldconfig scriptlets
- imported package libunique

